Skip to main content
GET
/
connections
/
{connection_id}
Retrieve a Connection
curl --request GET \
  --url https://api-sandbox.y.uno/v1/connections/{connection_id} \
  --header 'PRIVATE-SECRET-KEY: <api-key>' \
  --header 'PUBLIC-API-KEY: <api-key>'
import requests

url = "https://api-sandbox.y.uno/v1/connections/{connection_id}"

headers = {
    "PUBLIC-API-KEY": "<api-key>",
    "PRIVATE-SECRET-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'PUBLIC-API-KEY': '<api-key>', 'PRIVATE-SECRET-KEY': '<api-key>'}
};

fetch('https://api-sandbox.y.uno/v1/connections/{connection_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "connection_id": "f1a3c4d5-7b8e-4a2c-9d1e-3f4a5b6c7d8e",
  "merchant_connection_id": "stripe-us-prod-001",
  "provider_id": "STRIPE",
  "status": "ACTIVE",
  "flow_type": "PAYIN",
  "payment_methods": [
    "CARD",
    "GOOGLE_PAY",
    "APPLE_PAY"
  ],
  "params": [
    {
      "param_id": "merchantAccount",
      "value": "ACME_LIVE"
    }
  ],
  "costs": [
    {
      "sort_number": 1,
      "cost_name": "Transaction Fee",
      "currency": "USD"
    }
  ],
  "created_at": "2026-05-12T10:24:00Z",
  "updated_at": "2026-05-12T10:24:00Z"
}
{
  "type": "auth_error",
  "code": "INSUFFICIENT_SCOPE",
  "message": "API key is missing required scope 'connections:read'"
}
{
  "type": "not_found",
  "code": "CONNECTION_NOT_FOUND",
  "message": "Connection '...' was not found"
}
Returns a connection you previously created. Secrets are masked.

Path Parameters

connection_id
string
required
The id returned by Create a Connection. Must belong to the account your API key is scoped to.

Response

connection_id
string
Unique identifier for the connection.
merchant_connection_id
string
Your internal label for this connection.
provider_id
string
The provider this connection belongs to.
status
string
Current status.
flow_type
string
Always PAYIN.
payment_methods
string[]
List of supported payment methods.
params
object[]
Echoed parameters. Sensitive values are masked as ***.
costs
object[]
Cost configuration for the connection.
created_at
string
ISO 8601 timestamp.
updated_at
string
ISO 8601 timestamp.
curl -X GET 'https://api.y.uno/v1/connections/f1a3c4d5-7b8e-4a2c-9d1e-3f4a5b6c7d8e' \
  -H 'public-api-key: <YOUR_PUBLIC_KEY>' \
  -H 'private-secret-key: <YOUR_SECRET_KEY>'
{
  "connection_id": "f1a3c4d5-7b8e-4a2c-9d1e-3f4a5b6c7d8e",
  "merchant_connection_id": "stripe-us-prod-001",
  "provider_id": "STRIPE",
  "status": "ACTIVE",
  "flow_type": "PAYIN",
  "payment_methods": ["CARD", "GOOGLE_PAY", "APPLE_PAY"],
  "params": [
    { "param_id": "API_KEY",             "value": "***" },
    { "param_id": "PUBLISHABLE_KEY",     "value": "pk_live_..." }
  ],
  "costs": [
    {
      "sort_number": 1,
      "cost_name": "Transaction Fee",
      "currency": "USD",
      "cost_values": {
        "successful":   { "fixed_fee": 0.30, "percentage": 2.9 },
        "unsuccessful": { "fixed_fee": 0.0,  "percentage": 0.0 }
      }
    }
  ],
  "created_at": "2026-05-12T10:24:00Z",
  "updated_at": "2026-05-12T10:24:00Z"
}
{
  "type": "not_found",
  "code": "CONNECTION_NOT_FOUND",
  "message": "Connection '...' was not found",
  "details": { "connection_id": "..." }
}

Errors

HTTPcodeWhen
404CONNECTION_NOT_FOUNDUnknown connection_id, or the id belongs to a different account.
403INSUFFICIENT_SCOPEAPI key missing connections:read.

Authorizations

PUBLIC-API-KEY
string
header
default:<Your PUBLIC-API-KEY>
required
PRIVATE-SECRET-KEY
string
header
default:<Your PRIVATE-SECRET-KEY>
required

Path Parameters

connection_id
string<uuid>
required

Response

OK

connection_id
string
Example:

"f1a3c4d5-7b8e-4a2c-9d1e-3f4a5b6c7d8e"

merchant_connection_id
string
Example:

"stripe-us-prod-001"

provider_id
string
Example:

"STRIPE"

status
string
Example:

"ACTIVE"

flow_type
string
Example:

"PAYIN"

payment_methods
string[]
Example:
["CARD", "GOOGLE_PAY", "APPLE_PAY"]
params
object[]
costs
object[]
created_at
string<date-time>
Example:

"2026-05-12T10:24:00Z"

updated_at
string<date-time>
Example:

"2026-05-12T10:24:00Z"